require "box2d"
b2.setScale(30)
-- this table holds the dynamic bodies and their sprites
actors = {}
-- create world
world = b2.World.new(0, 9.8)

gameMinX = 0
gameMinY = 0
gameMaxX = application:getLogicalWidth() -- see getContentWidth
gameMaxY = application:getLogicalHeight() -- see getContentHeight


local snake = Snake.new("mySnake")
local ball1 = Ball.new(200, 50, "ballOne")


local function onTouchesBegin(event)
	Snake.MoveTo(snake, event.touch.x, event.touch.y)
end
stage:addEventListener(Event.TOUCHES_BEGIN, onTouchesBegin)


local function onBeginContact(event)
	-- you can get the fixtures and bodies in this contact like:
	local fixtureA = event.fixtureA
	local fixtureB = event.fixtureB
	local bodyA = fixtureA:getBody()
	local bodyB = fixtureB:getBody()
	print("begin contact: "..bodyA.name.."<->"..bodyB.name)
end

local function onEndContact(event)
	-- you can get the fixtures and bodies in this contact like:
	local fixtureA = event.fixtureA
	local fixtureB = event.fixtureB
	local bodyA = fixtureA:getBody()
	local bodyB = fixtureB:getBody()
	print("end contact: "..bodyA.name.."<->"..bodyB.name)
end

local function onPreSolve(event)
	-- you can get the fixtures and bodies in this contact like:
	local fixtureA = event.fixtureA
	local fixtureB = event.fixtureB
	local bodyA = fixtureA:getBody()
	local bodyB = fixtureB:getBody()
	print("pre solve: "..bodyA.name.."<->"..bodyB.name)
end

local function onPostSolve(event)
	-- you can get the fixtures and bodies in this contact like:
	local fixtureA = event.fixtureA
	local fixtureB = event.fixtureB
	local bodyA = fixtureA:getBody()
	local bodyB = fixtureB:getBody()
	print("post solve: "..bodyA.name.."<->"..bodyB.name)
end

world:addEventListener(Event.BEGIN_CONTACT, onBeginContact)
world:addEventListener(Event.END_CONTACT, onEndContact)
world:addEventListener(Event.PRE_SOLVE, onPreSolve)
world:addEventListener(Event.POST_SOLVE, onPostSolve)


stage:addChild(ball1)